Skip to content

History API [Starter]

Returns historical and current SSL certificates for a domain (up to 10,000 records). Subdomains are normalized to root domain.

GET https://api.discolike.com/v1/history
ParameterDescription
domainDomain to look up
FieldTypeDescription
domainStringNormalized domain
certificatesArrayList of certificate records
FieldTypeDescription
sha1_fingerprintStringSHA-1 fingerprint of the certificate
fqdnStringFully Qualified Domain Name
alternative_fqdnArraySubject Alternative Names
organizationStringOrganization from certificate
cityStringCity from certificate
stateStringState from certificate
countryStringCountry code
date_fromDateTimeCertificate validity start
date_toDateTimeCertificate validity end
Terminal window
curl "https://api.discolike.com/v1/history?domain=acmecorp.com" \
-H "x-discolike-key: API_KEY"
{
"domain": "acmecorp.com",
"certificates": [
{
"sha1_fingerprint": "34ab1d0be3af8ad1c60b44e1805fb55ebb71e6e6",
"fqdn": "api.acmecorp.com",
"organization": "Acme Corporation",
"city": "San Francisco",
"state": "California",
"country": "US",
"date_from": "2024-04-27 18:57:41",
"date_to": "2024-07-26 18:57:40",
"alternative_fqdn": ["api.acmecorp.com"]
}
]
}